Как установить Adobe Flash Player с помощью терминала Ubuntu Linux

Adove Flash Player Logo

Как установить Adobe Flash Player с помощью терминала Ubuntu Linux

 

Adobe Flash player — это плагин, который интегрирован с вашим браузером и позволяет пользователю транслировать или смотреть видео, например, на таких сайтах, как YouTube. В настоящее время flash не требуется в современных браузерах, таких как Google Chrome, и был заменен NPAPI, который является его версией Flash.

Однако в браузерах Firefox при посещении некоторых сайтов, таких как Vimeo и Youtube, вы можете увидеть всплывающее окно с предложением установить flash.

В этом руководстве мы расскажем, как установить последнюю версию Adobe Flash Player на Ubuntu 18.04, CentOS 7 и Arch Linux с терминала.

Как установить Adobe Flash player в Ubuntu 18.04

Поскольку последний плагин Flash находится в репозитории Canonical и по умолчанию отключен, нам необходимо включить репозиторий перед установкой плагина.

Шаг 1. Включите канонический репозиторий

Для этого выполните команду ниже

add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"

Шаг 2 — Обновите систему

Далее обновляем систему

apt-get update

Шаг 3 — Установите Adobe Flash Player

Установите плагин Adobe Flash с терминала

apt install adobe-flashplugin browser-plugin-freshplayer-pepperflash

Перезагрузите браузер Firefox и перейдите на  http://isflashinstalled.com.

Вы увидите веб-страницу, как показано ниже.

Как установить Adobe Flash player 28 на CentOS 7

Поскольку плагины Adobe Flash Player доступны только в официальных репозиториях Adobe Yum, нам нужно сначала включить репозиторий Adobe yum.

Шаг 1. Включите репозиторий Yum

 rpm -ivh http://linuxdownload.adobe.com/adobe-release/adobe-release-x86_64-1.0-1.noarch.rpm

Пример вывода

Retrieving http://linuxdownload.adobe.com/adobe-release/adobe-release-x86_64-1.0-1.noarch.rpm
warning: /var/tmp/rpm-tmp.m26n4m: Header V3 DSA/SHA1 Signature, key ID f6777c67: NOKEY
Preparing...                          ################################# [100%]
Updating / installing...
   1:adobe-release-x86_64-1.0-1       ################################# [100%]

Шаг 2 — Импортируйте ключ GPG в вашу систему

rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-adobe-linux

Далее мы установим Adobe Flash player.

Шаг 3 — Установите Adobe Flash player вместе с его зависимостями

yum install flash-plugin alsa-plugins-pulseaudio libcurl

Пример вывода

Dependencies Resolved

================================================================================
 Package         Arch      Version                  Repository             Size
================================================================================
Installing:
 flash-plugin    x86_64    29.0.0.140-release       adobe-linux-x86_64    8.6 M

Transaction Summary
================================================================================
Install  1 Package

Total download size: 8.6 M
Installed size: 20 M
Is this ok [y/d/N]: y
Downloading packages:
flash-player-npapi-29.0.0.140-release.x86_64.rpm           | 8.6 MB   00:44     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Warning: RPMDB altered outside of yum.
  Installing : flash-plugin-29.0.0.140-release.x86_64                       1/1 
  Verifying  : flash-plugin-29.0.0.140-release.x86_64                       1/1 

Installed:
  flash-plugin.x86_64 0:29.0.0.140-release

Шаг 3 — Проверка установки подключаемого модуля Flash Player

Наконец, нам нужно проверить, установлен ли плагин Flash player. Закройте браузер Firefox или Google Chrome и снова запустите его.
В браузере Google Chrome откройте новую вкладку и введитеchrome://flash/

Будет отображена следующая страница

В браузере Firefox откройте новую вкладку и введите about:plugins
Прокрутите вниз до нижней части страницы и найдите Shockwave Flash.

Как установить Adobe Flash Player на Arch Linux

Чтобы установить плагин Adobe flash player в Arch Linux, сначала выполните команду ниже

pacman -S flashplugin

Пример вывода

looking for conflicting packages...

Packages (1) flashplugin-29.0.0.140-1

Total Download Size:    6.93 MiB
Total Installed Size:  19.16 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 flashplugin-29.0.0....     6.9 MiB   644K/s 00:11 [----------------------] 100%
(1/1) checking keys in keyring                     [----------------------] 100%
(1/1) checking package integrity                   [----------------------] 100%
(1/1) loading package files                        [----------------------] 100%
(1/1) checking for file conflicts                  [----------------------] 100%
:: Processing package changes...
(1/1) installing flashplugin                       [----------------------] 100%
Optional dependencies for flashplugin
    libvdpau: GPU acceleration on Nvidia cards [installed]
:: Running post-transaction hooks...
(1/3) Updating icon theme caches...
(2/3) Arming ConditionNeedsUpdate...
(3/3) Updating the desktop file MIME type cache...

Далее устанавливаем зависимости

pacman -S libvdpau-va-gl

Пример вывода

resolving dependencies...
looking for conflicting packages...

Packages (2) libva-2.1.0-1  libvdpau-va-gl-0.4.2-2

Total Download Size:   0.22 MiB
Total Installed Size:  1.01 MiB
Net Upgrade Size:      0.44 MiB

:: Proceed with installation? [Y/n] Y
:: Retrieving packages...
 libva-2.1.0-1-x86_64     137.6 KiB   195K/s 00:01 [----------------------] 100%
 libvdpau-va-gl-0.4....    83.8 KiB   349K/s 00:00 [----------------------] 100%
(2/2) checking keys in keyring                     [----------------------] 100%
(2/2) checking package integrity                   [----------------------] 100%
(2/2) loading package files                        [----------------------] 100%
(2/2) checking for file conflicts                  [----------------------] 100%
:: Processing package changes...
(1/2) upgrading libva                              [----------------------] 100%
(2/2) installing libvdpau-va-gl                    [----------------------] 100%
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...

Наконец, обновите систему

pacman -Syu

Откройте браузер Firefox, введите about:pluginsи проверьте установленный плагин, как показано ранее.

Author: forgero